import xml.etree.ElementTree
import urllib.request

def get_lastest_parallels_version():
    main_version = -1
    for i in range(15, 100):
        try:
            req = urllib.request.Request(
                f"https://update.parallels.com/desktop/v{i}/parallels/parallels_updates.xml",
                headers = {
                    "User-Agent": "Parallels Desktop"
                }
            )
            with urllib.request.urlopen(req) as res:
                ret = res.read()
        except urllib.error.HTTPError as ex:
            if ex.code == 404:
                main_version = i - 1
                break
            else:
                raise
    version_ele = xml.etree.ElementTree.fromstring(ret).find("Product").find("Version")
    return (
        int(version_ele.find("Major").text),
        int(version_ele.find("Minor").text),
        int(version_ele.find("SubMinor").text),
        int(version_ele.find("SubSubMinor").text)
    )


def main():
    v1, v2, v3, v4 = get_lastest_parallels_version()
    print(f"{v1}.{v2}.{v3}-{v4}")


if __name__ == "__main__":
    main()
